## hashcheck 1.0.0

=== CMakeLists.txt ===
project(hashcheck CXX)
cmake_minimum_required(VERSION 3.1)

include(GNUInstallDirs)

set(HASHCHECK_VERSION_MAJOR 1)
set(HASHCHECK_VERSION_MINOR 0)
set(HASHCHECK_VERSION_PATCH 0)

set(HASHCHECK_VERSION ${HASHCHECK_VERSION_MAJOR}.${HASHCHECK_VERSION_MINOR}.${HASHCHECK_VERSION_PATCH})

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_CXX_FLAGS "${CXX_FLAGS} -Wall")
set(CMAKE_CXX_STANDARD 11)
set(EXECUTABLE_NAME "hashcheck")

add_definitions("-DHASHCHECK_VERSION=\"${HASHCHECK_VERSION}\"")

find_package(Qt5 REQUIRED Core Widgets)

set(SOURCES
    src/main.cpp
    src/main_window.cpp
)

set(UI
    src/main_window.ui
)

qt5_wrap_ui(UI_SOURCE ${UI})
list(APPEND SOURCES ${UI_SOURCE})

add_executable(${EXECUTABLE_NAME} ${SOURCES})
qt5_use_modules(${EXECUTABLE_NAME} Core Widgets)

install(TARGETS ${EXECUTABLE_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES hashcheck.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES icon.png DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps RENAME hashcheck.png)

=== debian/changelog ===
hashcheck (1.0.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:36 +1100

hashcheck (1.0.0-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:33:46 +0000

hashcheck (1.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Kyle Robbertze ]
  * d/control: update VCS-* to point to salsa.d.o/debian
  * Bump standards-version to 4.6.1 (no change)
  * Update maintainer email address
  * Use QT_SELECT to select Qt5

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 13 Jul 2022 20:24:25 +0200

hashcheck (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #897907)

 -- Kyle Robbertze <krobbertze@gmail.com>  Wed, 25 Apr 2018 22:15:05 +0200

=== debian/control ===
Source: hashcheck
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev
Standards-Version: 4.6.1
Homepage: https://gitlab.com/paddatrapper/hashcheck
Vcs-Git: https://salsa.debian.org/debian/hashcheck.git
Vcs-Browser: https://salsa.debian.org/debian/hashcheck

Package: hashcheck
Architecture: any
Depends: pv, ${shlibs:Depends}, ${misc:Depends}
Description: verifies the files on a live mounted ISO image
 Provides a graphical interface to verify a live mounted ISO image.
 The image is expected to be mounted under /lib/live/mount/medium
 .
 It is useful as part of a live environment

## hashcheck 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,30 @@
 project(hashcheck CXX)
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.10)
 
 include(GNUInstallDirs)
 
 set(HASHCHECK_VERSION_MAJOR 1)
 set(HASHCHECK_VERSION_MINOR 0)
-set(HASHCHECK_VERSION_PATCH 0)
+set(HASHCHECK_VERSION_PATCH 1)
 
 set(HASHCHECK_VERSION ${HASHCHECK_VERSION_MAJOR}.${HASHCHECK_VERSION_MINOR}.${HASHCHECK_VERSION_PATCH})
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(CMAKE_CXX_FLAGS "${CXX_FLAGS} -Wall")
+set(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
 set(CMAKE_CXX_STANDARD 11)
 set(EXECUTABLE_NAME "hashcheck")
 
 add_definitions("-DHASHCHECK_VERSION=\"${HASHCHECK_VERSION}\"")
+add_definitions("-DQT_NO_DEBUG_OUTPUT")
 
 find_package(Qt5 REQUIRED Core Widgets)
 
 set(SOURCES
     src/main.cpp
     src/main_window.cpp
+    src/md5_process.cpp
 )
 
 set(UI

=== debian/changelog ===
hashcheck (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1 (Closes: #1112985, #1119441)
    - Fixes CMAKE flags
    - Supports CMAKE 4
  * Fix watch file
  * Bump Standards-Version to 4.7.2 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 04 Nov 2025 11:22:51 +0000

hashcheck (1.0.0-3) unstable; urgency=medium

  * Move to DEP-14
  * Fix watch file
  * Bump Standards-Version to 4.7.0 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 19 Feb 2025 15:32:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: hashcheck
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kyle Robbertze <paddatrapper@debian.org>
+Maintainer: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/paddatrapper/hashcheck
 Vcs-Git: https://salsa.debian.org/debian/hashcheck.git
 Vcs-Browser: https://salsa.debian.org/debian/hashcheck

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

%:
	dh $@

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.com/paddatrapper/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
